import 'package:get/get.dart';
import 'package:taafee_mobile/core/network/socket/socket.dart';
import 'package:taafee_mobile/features/auth/business_logic_layer/auth_controller.dart';
import 'package:taafee_mobile/features/card/business_logic_layer/card_controller.dart';
import 'package:taafee_mobile/features/category/business_logic_layer/category_controller.dart';
import 'package:taafee_mobile/features/chat/business%20logic%20layer/chat_controller.dart';
import 'package:taafee_mobile/features/favorite/business_logic_layer/favorite_controller.dart';
import 'package:taafee_mobile/features/home/business_logic_layer/home_controller.dart';
import 'package:taafee_mobile/features/onboarding/business_logic_layer/onboarding_controller.dart';
import 'package:taafee_mobile/features/splash/business_logic_layer/splash_controller.dart';
import '../../features/account/business_logic_layer/account_controller.dart';

class DependencyInjection {
  static void injectDependencies() {
    // Get.put(SocketIO(uri: 'https://pages-chat-dev.octa-apps.com'));
    Get.put(SocketIO(uri: 'https://taafi-back-chat.point-dev.nl'));
    Get.put(ChatController());
    Get.put(AuthController());
    Get.put(HomeController());
    Get.put(SplashController());
    Get.put(OnboardingController());
    Get.put(CategoryController());
    Get.put(CardController());
    Get.put(FavoriteController());
    Get.put(AccountController());
  }
}
